<?php

namespace app\admin\model;

use think\Model;


class Product extends Model
{

    

    

    // 表名
    protected $table = 'product';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'is_show_text',
        'is_recommend_text',
        'jxtype_text'
    ];
    

    protected static function init()
    {
        self::afterInsert(function ($row) {
            $pk = $row->getPk();
            $row->getQuery()->where($pk, $row[$pk])->update(['weigh' => $row[$pk]]);
        });
    }

    
    public function getIsShowList()
    {
        return ['1' => __('Is_show 1'), '0' => __('Is_show 0')];
    }

    public function getIsRecommendList()
    {
        return ['1' => __('Is_recommend 1'), '0' => __('Is_recommend 0')];
    }

    public function getJxtypeList()
    {
        return ['0' => __('Jxtype 0'), '1' => __('Jxtype 1')];
    }


    public function getIsShowTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_show']) ? $data['is_show'] : '');
        $list = $this->getIsShowList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getIsRecommendTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_recommend']) ? $data['is_recommend'] : '');
        $list = $this->getIsRecommendList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getJxtypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['jxtype']) ? $data['jxtype'] : '');
        $list = $this->getJxtypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function procate()
    {
        return $this->belongsTo('Procate', 'procate_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function protag()
    {
        return $this->belongsTo('Protag', 'protag_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function productxieyi()
    {
        return $this->belongsTo('Productxieyi', 'xieyi_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
